eth_getBlockReceipts
POST
Returns all transaction receipts for the block specified by block hash or identifier.
🚧 Response taking too long? Response time may increase with the number of transactions in the block!
eth_getBlockReceipts fetches all transaction receipts for a block at once. Response time can increase when the block has many transactions or complex execution results.
For faster responses, consider:
- Use eth_getTransactionReceipt to fetch individual transaction receipts when only specific transactions are needed.
param[0]
blockNumberOrHashOrTagstringrequired
Use one of block hash, block number, or block tag to specify a block.- Block number: hex string (ex. "0x1")
- Block hash: 64-character hex string (ex. "0x39008d07edf93c03bb9d1cfc80598fcf63f441ec86e9de3733fa6a484980ca48")]
- Block tag: enum string (ex. "latest", "earliest", "pending")
earliest: The oldest available block on the chain.finalized: A recently finalized block that can no longer be changed. Primarily used in proof-of-stake (PoS) blockchains.safe: A recent block considered safe by the network (immune to reorgs).latest: The most recent block on the chain (may be subject to reorgs).pending: The next block to be mined, including pending transactions in the mempool.
Responses
blockHashstring
Hash of the block containing this transactionblockNumberstring
Block number containing this transaction (hex)contractAddressstring
Contract address created if this was a contract creation transaction, otherwise nullcumulativeGasUsedstring
Total gas used in the block up to and including this transaction (hex)effectiveGasPricestring
Actual gas price paid (hex, in wei)fromstring
Sender address of the transactiongasUsedstring
Gas used by this specific transaction (hex)List of event logs emitted during transaction execution
addressstring
The address of the contract that emitted this logtopicsarray
Array of event signature hash and indexed parameters (up to 4 entries)datastring
Non-indexed event parameter data (hex encoded)blockNumberstring
Block number containing this log (hex)transactionHashstring
Hash of the transaction that created this logtransactionIndexstring
Transaction position index within the block (hex)blockHashstring
Hash of the block containing this loglogIndexstring
Log position index within the block (hex)removedboolean
True if the log was removed due to a chain reorganizationlogsBloomstring
Bloom filter for event log search (2048 bits, hex)statusstring
Transaction execution result (0x1=success, 0x0=failure)tostring
Recipient address. Null for contract creation transactionstransactionHashstring
Transaction hashtransactionIndexstring
Transaction position index within the block (hex)typestring
Transaction type (0x0=Legacy, 0x1=EIP-2930, 0x2=EIP-1559)codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "Unauthorized"}
cURL
curl -X POST 'https://metal-mainnet.nodit.io' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"jsonrpc": "2.0","id": 1,"method": "eth_getBlockReceipts","params": ["latest"]}'